"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var base_directive_1 = require("./base.directive");
var directive_1 = require("../decorators/directive");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var FocusInvalidField = /** @class */ (function (_super) {
    tslib_1.__extends(FocusInvalidField, _super);
    function FocusInvalidField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FocusInvalidField_1 = FocusInvalidField;
    FocusInvalidField.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        instanceElement.on("submit", function () {
            var invalid = instanceElement.find(".ng-invalid");
            if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(invalid) && invalid.length > 0) {
                invalid[0].focus();
            }
        });
    };
    FocusInvalidField.factory = function () {
        return new FocusInvalidField_1();
    };
    FocusInvalidField = FocusInvalidField_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "focusInvalidField",
            restrict: "A"
        })
    ], FocusInvalidField);
    return FocusInvalidField;
    var FocusInvalidField_1;
}(base_directive_1.DirectiveBase));
exports.FocusInvalidField = FocusInvalidField;
