/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
import { auto } from "angular";
export declare class InjectorService extends ServiceBase {
    private injector;
    constructor(injector: auto.IInjectorService);
    get<T>(service: string | {
        new (...args: any[]): T;
    }): T;
    static factory(injector: auto.IInjectorService): InjectorService;
}
