/// <reference types="angular" />
/// <reference types="@types/angular-translate" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { IFilterService, IScope, IAttributes, IController, ITranscludeFunction } from "angular";
export declare class DateTimePickerDirective extends DirectiveBase {
    private filter;
    constructor(filter: IFilterService);
    protected create(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(filter: IFilterService): DateTimePickerDirective;
}
