"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var directive_1 = require("../decorators/directive");
var base_directive_1 = require("./base.directive");
var $ = require("jquery");
var ToggleClassOnClickDirective = /** @class */ (function (_super) {
    tslib_1.__extends(ToggleClassOnClickDirective, _super);
    function ToggleClassOnClickDirective() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ToggleClassOnClickDirective_1 = ToggleClassOnClickDirective;
    ToggleClassOnClickDirective.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        var toggleElement = $(instanceAttributes["toggleElement"] || instanceElement);
        var toggleClass = instanceAttributes["toggleClass"];
        instanceElement.on("click touch", function () { return $(toggleElement).toggleClass(toggleClass); });
    };
    ToggleClassOnClickDirective.factory = function () {
        return new ToggleClassOnClickDirective_1();
    };
    ToggleClassOnClickDirective = ToggleClassOnClickDirective_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "toggleClassOnClick",
            restrict: "A"
        })
    ], ToggleClassOnClickDirective);
    return ToggleClassOnClickDirective;
    var ToggleClassOnClickDirective_1;
}(base_directive_1.DirectiveBase));
exports.ToggleClassOnClickDirective = ToggleClassOnClickDirective;
